TransferControllerUpdateExportConfiguration Method

PUT /Transfer/ExportConfigurations/{id} Updates the custom export configuration.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPutAttribute]
[ActionNameAttribute("ExportConfigurations")]
public IActionResult UpdateExportConfiguration(
	Guid id,
	[FromBodyAttribute] ExportConfigData exportConfigData,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the export configuration to be updated.
exportConfigData
Type: Dundas.BI.WebApi.ModelsExportConfigData
An ExportConfigData object containing everything needed to create the configuration file.
sessionId (Optional)
Type: SystemNullableGuid
The current session ID.

Return Value

Type: IActionResult
A status code indicating success or the reason for failure.
See Also